<div style="padding-bottom:15px">
  <a class="btn btn-primary btn-sm" routerLink="/credentials/create" role="button"><i class="fa fa-plus"> Create</i></a>
  <button type="button" class="btn btn-danger btn-sm" (click)="revoke()" [disabled]="selectedCredentials.length === 0"><i class="fa fa-minus"> Revoke</i></button>
</div>

<div class="table-responsive">
  <table class="table table-sm table-hover">
    <thead>
      <tr>
        <th>
          <app-action-cb-all [selected]="selectedCredentials" [selectable]="credentials" (checkedChange)="checkedChange($event)"></app-action-cb-all>
        </th>
        <th>User</th>
        <th>Identifier</th>
        <th>Type</th>
        <th>State</th>
      </tr>
    </thead>

    <tbody>
      <tr *ngFor="let i of credentials">
        <td>
          <app-action-cb [identifier]="i.id" [selected]="selectedCredentials"></app-action-cb>
        </td>

        <td>
          <span *ngIf="usersMap[i.user_id]">
            <a [routerLink]="'/users/' + i.user_id">{{ usersMap[i.user_id].name }}</a>
          </span>
          <span *ngIf="!usersMap[i.user_id]"><i class="fa fa-spinner fa-pulse"></i></span>
        </td>

        <td>
          <a [routerLink]="'/credentials/' + i.id">{{ i.identifier }}</a>
        </td>

        <td>
          {{ i.type }}
        </td>

        <td>
          <app-state-icon [stateBool]="i.enabled"></app-state-icon>
        </td>
      </tr>
    </tbody>
  </table>
</div>
